> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Next Of Kin

> Hard delete. 204 on success.



## OpenAPI

````yaml /openapi.json delete /api/v1/crew/next-of-kin/{nok_id}
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/crew/next-of-kin/{nok_id}:
    delete:
      tags:
        - crew-next-of-kin
      summary: Delete Next Of Kin
      description: Hard delete. 204 on success.
      operationId: delete_next_of_kin_api_v1_crew_next_of_kin__nok_id__delete
      parameters:
        - name: nok_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Nok Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````